DecideReviewItemAPI mirrors erdo_decide_review_item.
curl --request POST \
--url https://api.erdo.ai/v1/review-items/{id}/decide \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"minutes": -1,
"note": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/review-items/{id}/decide"
payload = {
"action": "<string>",
"minutes": -1,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>', minutes: -1, note: '<string>'})
};
fetch('https://api.erdo.ai/v1/review-items/{id}/decide', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"agent_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_to_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"eval_case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payload_json": {},
"priority": "<string>",
"resolution_note": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snoozed_until": "2023-11-07T05:31:56Z",
"source_hash": "<string>",
"source_id": "<string>",
"source_type": "<string>",
"status": "<string>",
"summary": "<string>",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
DecideReviewItemAPI mirrors erdo_decide_review_item.
POST
/
v1
/
review-items
/
{id}
/
decide
DecideReviewItemAPI mirrors erdo_decide_review_item.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Path Parameters
Body
application/json
Response
Success response
Show child attributes
Show child attributes
⌘I

